Skip to main content
DELETE
/
legacy_reporting
/
batch_detail_records
/
voice
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const voice = await client.legacy.reporting.batchDetailRecords.voice.delete(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);

console.log(voice.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
voice = client.legacy.reporting.batch_detail_records.voice.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(voice.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
voice, err := client.Legacy.Reporting.BatchDetailRecords.Voice.Delete(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voice.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.voice.VoiceDeleteParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.voice.VoiceDeleteResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

VoiceDeleteResponse voice = client.legacy().reporting().batchDetailRecords().voice().delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

voice = telnyx.legacy.reporting.batch_detail_records.voice.delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")

puts(voice)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$voice = $client->legacy->reporting->batchDetailRecords->voice->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);

var_dump($voice);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx legacy:reporting:batch-detail-records:voice delete \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
curl --request DELETE \
--url https://api.telnyx.com/v2/legacy_reporting/batch_detail_records/voice/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "start_time": "2024-02-01T00:00:00Z",
    "end_time": "2024-02-12T23:59:59Z",
    "call_types": [
      123
    ],
    "record_types": [
      1,
      2
    ],
    "connections": [
      123,
      456
    ],
    "report_name": "My Report",
    "status": 1,
    "report_url": "<string>",
    "filters": [
      {
        "cli": "+13129457420",
        "cld": "+13129457420",
        "tags_list": "tag1",
        "billing_group": "adfaa016-f921-4b6c-97bb-e4c1dad231c5"
      }
    ],
    "created_at": "2024-02-12T14:00:00Z",
    "updated_at": "2024-02-12T14:05:00Z",
    "timezone": "<string>",
    "source": "<string>",
    "retry": 123,
    "managed_accounts": [
      "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
    ],
    "record_type": "cdr_detailed_report"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Unique identifier of the resource.

Response

CDR report request deleted successfully

data
object

Response object for CDR detailed report